package css

import (
	"embed"
	"os"
)
import _ "embed"

//go:embed *.css
var cssList embed.FS

var cssMap = initCssMap()

func initCssMap() map[string][]byte {
	list, err := cssList.ReadDir(".")
	if err != nil {
		os.Exit(-1)
		return nil
	}

	var dataMap = make(map[string][]byte, len(list))
	for _, file := range list {
		//读取配置文件
		data, err := cssList.ReadFile(file.Name())
		if err == nil {
			dataMap[file.Name()] = data
		}
	}

	return dataMap
}
